package com.eachscape.models.other.scripts;

import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.HashMap;
import com.eachscape.managers.LogMgr;

public final class ESEventScripts {

  public static ArrayList<Script> getEventScript(String methodName) throws Exception {
    try
    {
      Class<?> clazz = ESEventScripts.class;

      if(clazz != null) {
        Method method = clazz.getMethod(methodName, new Class[] {} );
        if(method != null)
          return (ArrayList<Script>)method.invoke(null, new Object[] {});
      }
    }
    catch(Exception e) {
      LogMgr.error(ESEventScripts.class.getSimpleName(), e);
      throw e;
    }

    return null;
  }

  private static void addIfNotNull(ArrayList<Script> scripts, Script script) {
    if(script != null)
      scripts.add(script);
  }

  public final static ArrayList<Script> appSwitch0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "[[ds:/CNET Menus/todayoncnet/href]]");
      map.put("feed", "/813/video");
      map.put("field", "/813/video/url");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "24167");
      map.put("condition", "");
      map.put("container", "24230");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "4094");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> appSwitch1() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "= 'CNET Tech Shows'");
      map.put("feed", "/758/menuitem");
      map.put("field", "/758/menuitem/major");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "4096");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> appSwitch2() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "5361");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> appSwitch3() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "4102");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> appSwitch4() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "4101");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> appLaunch() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "timerautostop");
      map.put("value", "1799");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "CNETNodeID");
      map.put("value", "32444");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "CNETPlayers");
      map.put("value", "Download");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "CNETptype");
      map.put("value", "androidapp");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "4100");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "4165");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "");
      map.put("seconds", "0.3");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> appSearch() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "fade");
      map.put("view", "4102");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customAbouteachscape() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "fade");
      map.put("view", "4120");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customChangetoprivacy() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "pushRight");
      map.put("view", "4141");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customChangetoterms() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "pushRight");
      map.put("view", "4140");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customClosedisclosure() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customClosefavoritesoverlay() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4125");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customClosesearchoverlay() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4116");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customClosevideooverlay() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4098");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4137");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customDisclosureshare() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "action_sheet");
      map.put("block", "24329");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customFavewatchnow() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "fade");
      map.put("view", "4128");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4126");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customFavoritessharelandscape() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "action_sheet");
      map.put("block", "24276");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customFrontdoorwatchnow() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "fade");
      map.put("view", "4155");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4131");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "");
      map.put("seconds", "[[dict:timerautostop]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customLaunchprivacy() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "fade");
      map.put("view", "4141");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "");
      map.put("seconds", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customLaunchtos() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "fade");
      map.put("view", "4140");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "");
      map.put("seconds", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customOpenprivacy() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "url_open");
      map.put("condition", "");
      map.put("url", "http://cbsiprivacy.custhelp.com/app/answers/detail/a_id/1268");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customOpentos() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "url_open");
      map.put("condition", "");
      map.put("url", "http://legalterms.cbsinteractive.com/terms-of-use");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customSearchsharelandscape() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "action_sheet");
      map.put("block", "24276");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customSearchwatchnow() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "fade");
      map.put("view", "4113");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "4113");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4118");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "");
      map.put("seconds", "[[dict:timerautostop]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customVideomakefav() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "fave_add");
      map.put("condition", "");
      map.put("feed", "/813/video");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "");
      map.put("prompt", "This video has been added to your Favorites.");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customVideomakefavb() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "pre_hook");
      map.put("class", "CNETTV");
      map.put("condition", "");
      map.put("method", "saveFaveFromVideosB");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "");
      map.put("prompt", "This video has been added to your Favorites.");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customVideoshare() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "action_sheet");
      map.put("block", "24276");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customVideosharelandscape() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "action_sheet");
      map.put("block", "24276");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customVideostartagain() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "fade");
      map.put("view", "4104");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "4130");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> customVideowatchnow() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "shareddescription");
      map.put("value", "[[ds:/CNET Videos/video/description]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedlink");
      map.put("value", "[[ds:/CNET Videos/video/weblink]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedtitle");
      map.put("value", "[[ds:/CNET Videos/video/title]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedimageurl");
      map.put("value", "[[ds:/CNET Videos/video/thumbnail]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "fade");
      map.put("view", "4104");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4114");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "");
      map.put("seconds", "[[dict:timerautostop]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTabs0Tap0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "[[ds:/CNET Menus/todayoncnet/href]]");
      map.put("feed", "/813/video");
      map.put("field", "/813/video/url");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "24167");
      map.put("condition", "");
      map.put("container", "24230");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "4094");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTabs0Tap1() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "= 'CNET Tech Shows'");
      map.put("feed", "/758/menuitem");
      map.put("field", "/758/menuitem/major");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "4096");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTabs0Tap2() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "5361");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTabs0Tap3() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "4102");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTabs0Tap4() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "4101");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar24166TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "pushLeft");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList24167Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedlink");
      map.put("value", "[[ds:/CNET Videos/video/weblink]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "shareddescription");
      map.put("value", "[[ds:/CNET Videos/video/description]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedimageurl");
      map.put("value", "[[ds:/CNET Videos/video/thumbnail]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedtitle");
      map.put("value", "[[ds:/CNET Videos/video/title]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "ne");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "fade");
      map.put("view", "4155");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "ne");
      map.put("seconds", "[[dict:timerautostop]]");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList24167TapDisclosure() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedimageurl");
      map.put("value", "[[ds:/CNET Videos/video/thumbnail]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "shareddescription");
      map.put("value", "[[ds:/CNET Videos/video/description]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedlink");
      map.put("value", "[[ds:/CNET Videos/video/weblink]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedtitle");
      map.put("value", "[[ds:/CNET Videos/video/title]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "4131");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTabBarStatic24168Select0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "ne");
      map.put("criteria", "[[ds:/CNET Menus/todayoncnet/href]]");
      map.put("feed", "/813/video");
      map.put("field", "/813/video/url");
      map.put("replacement", "1");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "24167");
      map.put("condition", "ne");
      map.put("container", "24230");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTabBarStatic24168Select1() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "ne");
      map.put("criteria", "[[ds:/CNET Menus/mostpopular/href]]");
      map.put("feed", "/813/video");
      map.put("field", "/813/video/url");
      map.put("replacement", "1");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "24305");
      map.put("condition", "ne");
      map.put("container", "24230");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTabBarStatic24168Select2() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "ne");
      map.put("criteria", "[[ds:/CNET Menus/newreleases/href]]");
      map.put("feed", "/813/video");
      map.put("field", "/813/video/url");
      map.put("replacement", "1");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "container_set_block");
      map.put("block", "24231");
      map.put("condition", "ne");
      map.put("container", "24230");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTabBarStatic24173Select0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "='CNET Tech Shows'");
      map.put("feed", "/758/menuitem");
      map.put("field", "/758/menuitem/major");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "24175");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTabBarStatic24173Select1() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "='Product videos'");
      map.put("feed", "/758/menuitem");
      map.put("field", "/758/menuitem/major");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "24175");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTabBarStatic24173Select2() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "='How-To Videos'");
      map.put("feed", "/758/menuitem");
      map.put("field", "/758/menuitem/major");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "24175");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTabBarStatic24173Select3() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "='CNET Live'");
      map.put("feed", "/758/menuitem");
      map.put("field", "/758/menuitem/major");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "!=\"\"");
      map.put("feed", "/758/menuitem");
      map.put("field", "/758/menuitem/href");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "24175");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList24175Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "[[ds:/CNET Menus/menuitem/href]]");
      map.put("feed", "/813/video");
      map.put("field", "/813/video/url");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "pushRight");
      map.put("view", "4106");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo24180PlaybackCancel() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "fade");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo24180PlaybackFailure() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "fade");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo24180PlaybackSuccess() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "db_goto_next");
      map.put("condition", "");
      map.put("feed", "/813/video");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_refresh");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo24180TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "4098");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_cancel");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "");
      map.put("seconds", "[[dict:timerautostop]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo24180TapRight() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "4129");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_cancel");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "");
      map.put("seconds", "[[dict:timerautostop]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockCarousel24185Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedtitle");
      map.put("value", "[[ds:/CNET Videos/video/title]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "shareddescription");
      map.put("value", "[[ds:/CNET Videos/video/description]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedlink");
      map.put("value", "[[ds:/CNET Videos/video/weblink]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedimageurl");
      map.put("value", "[[ds:/CNET Videos/video/thumbnail]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "4104");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4135");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "24204");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "24272");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_cancel");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "");
      map.put("seconds", "[[dict:timerautostop]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo24201Done() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "4094");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockButtonRow24202Tap0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList24207Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "[[ds:/CNET Menus/menuitem/href]]");
      map.put("feed", "/813/video");
      map.put("field", "/813/video/url");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "fade");
      map.put("view", "4106");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockSearchBar24208Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "[[dict:searchterm:url]]");
      map.put("feed", "/1086/video");
      map.put("field", "/1086/video/searchterm");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "4111");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar24210TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "pushLeft");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage24212Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTextList24217Tap0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "email");
      map.put("block", "");
      map.put("body", "");
      map.put("condition", "");
      map.put("filename", "");
      map.put("reporting_value", "");
      map.put("subject", "CNET TV Android Feedback");
      map.put("to", "cnetappfeedback@cbsinteractive.com");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTextList24217Tap1() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "pushRight");
      map.put("view", "4108");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTextList24217Tap2() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "pushRight");
      map.put("view", "4109");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTextList24217Tap3() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "pushRight");
      map.put("view", "4107");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTextList24217Tap4() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "pushRight");
      map.put("view", "4110");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTextList24217Tap5() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "4103");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList24229Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "shareddescription");
      map.put("value", "[[ds:/CNET Search/video/description]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedimageurl");
      map.put("value", "[[ds:/CNET Search/video/thumbnail]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedlink");
      map.put("value", "[[ds:/CNET Search/video/weblink]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedtitle");
      map.put("value", "[[ds:/CNET Search/video/title]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "fade");
      map.put("view", "4113");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_cancel");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "");
      map.put("seconds", "[[dict:timerautostop]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList24229TapDisclosure() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedimageurl");
      map.put("value", "[[ds:/CNET Search/video/thumbnail]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedtitle");
      map.put("value", "[[ds:/CNET Search/video/title]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "shareddescription");
      map.put("value", "[[ds:/CNET Search/video/description]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedlink");
      map.put("value", "[[ds:/CNET Search/video/weblink]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "4118");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList24231Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedlink");
      map.put("value", "[[ds:/CNET Videos/video/weblink]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "shareddescription");
      map.put("value", "[[ds:/CNET Videos/video/description]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedimageurl");
      map.put("value", "[[ds:/CNET Videos/video/thumbnail]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedtitle");
      map.put("value", "[[ds:/CNET Videos/video/title]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "ne");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "fade");
      map.put("view", "4155");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_cancel");
      map.put("condition", "ne");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "ne");
      map.put("seconds", "[[dict:timerautostop]]");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList24231TapDisclosure() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedimageurl");
      map.put("value", "[[ds:/CNET Videos/video/thumbnail]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "shareddescription");
      map.put("value", "[[ds:/CNET Videos/video/description]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedlink");
      map.put("value", "[[ds:/CNET Videos/video/weblink]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedtitle");
      map.put("value", "[[ds:/CNET Videos/video/title]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "4131");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo24233PlaybackCancel() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo24233PlaybackFailure() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo24233PlaybackSuccess() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_goto_next");
      map.put("condition", "ne");
      map.put("feed", "/1086/video");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "ne");
      map.put("view", "4112");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_refresh");
      map.put("condition", "ne");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo24233TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "ne");
      map.put("view", "4116");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_cancel");
      map.put("condition", "ne");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "ne");
      map.put("seconds", "[[dict:timerautostop]]");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo24233TapRight() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "ne");
      map.put("view", "4117");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_cancel");
      map.put("condition", "ne");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "ne");
      map.put("seconds", "[[dict:timerautostop]]");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockHtml24249SwipeLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4098");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockHtml24249Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4098");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockCarousel24254Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4117");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "4112");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "24233");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "fade");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "24245");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "24245");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockHtml24257SwipeLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4098");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockHtml24257Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4098");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockSearchBar24259Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "[[dict:searchterm:url]]");
      map.put("feed", "/1086/video");
      map.put("field", "/1086/video/searchterm");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "4111");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo24260Done() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "[[ds:/CNET Menus/todayoncnet/href]]");
      map.put("feed", "/813/video");
      map.put("field", "/813/video/url");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "fade");
      map.put("view", "4094");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockHtml24274Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockHtml24275Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockActionSheet24276Tap0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "ne");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "fade");
      map.put("view", "4132");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "ne");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_cancel");
      map.put("condition", "ne");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "ne");
      map.put("seconds", "1");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockActionSheet24276Tap1() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "fade");
      map.put("view", "4119");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_cancel");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "");
      map.put("seconds", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockHtml24278Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage24281Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "db_recordset_previous");
      map.put("condition", "");
      map.put("feed", "/813/video");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "24336");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage24282Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_recordset_previous");
      map.put("condition", "");
      map.put("feed", "/1086/video");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "24229");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockHtml24290SwipeLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4098");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockHtml24290Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4098");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar24302TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "fade");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockButtonRow24304Tap0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "email");
      map.put("block", "");
      map.put("body", "Hello,\n\nI am in the CNET TV Android App which you built and wanted to learn more about your company.\n\nMy name is:\n\nAnd you can contact me at:\n\nThanks,");
      map.put("condition", "");
      map.put("filename", "");
      map.put("subject", "Hi from CNET TV");
      map.put("to", "info@eachscape.com");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList24305Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "shareddescription");
      map.put("value", "[[ds:/CNET Videos/video/description]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedimageurl");
      map.put("value", "[[ds:/CNET Videos/video/thumbnail]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedlink");
      map.put("value", "[[ds:/CNET Videos/video/weblink]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedtitle");
      map.put("value", "[[ds:/CNET Videos/video/title]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "ne");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "fade");
      map.put("view", "4155");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_cancel");
      map.put("condition", "ne");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "ne");
      map.put("seconds", "[[dict:timerautostop]]");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList24305TapDisclosure() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "shareddescription");
      map.put("value", "[[ds:/CNET Videos/video/description]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedlink");
      map.put("value", "[[ds:/CNET Videos/video/weblink]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedtitle");
      map.put("value", "[[ds:/CNET Videos/video/title]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedimageurl");
      map.put("value", "[[ds:/CNET Videos/video/thumbnail]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "4131");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFavoritesList24306Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "fade");
      map.put("view", "4128");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo24313PlaybackCancel() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo24313PlaybackFailure() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo24313PlaybackSuccess() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_goto_next");
      map.put("condition", "ne");
      map.put("feed", "/813/video");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "event_log");
      map.put("condition", "");
      map.put("type", "video_played_title");
      map.put("value", "[[ds:/CNET Videos/video/title]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "event_log");
      map.put("condition", "");
      map.put("type", "video_played_id");
      map.put("value", "[[ds:/CNET Videos/video/videoid]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_refresh");
      map.put("condition", "ne");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo24313TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "ne");
      map.put("view", "4098");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo24313TapRight() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "ne");
      map.put("view", "4143");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFavoritesList24314Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "shareddescription");
      map.put("value", "[[fave:/CNET Videos/video/description]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedimageurl");
      map.put("value", "[[fave:/CNET Videos/video/thumbnail]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedlink");
      map.put("value", "[[fave:/CNET Videos/video/weblink]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedtitle");
      map.put("value", "[[fave:/CNET Videos/video/title]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "fade");
      map.put("view", "4128");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFavoritesList24314TapDisclosure() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "shareddescription");
      map.put("value", "[[fave:/CNET Videos/video/description]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedimageurl");
      map.put("value", "[[fave:/CNET Videos/video/thumbnail]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedlink");
      map.put("value", "[[fave:/CNET Videos/video/weblink]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedtitle");
      map.put("value", "[[fave:/CNET Videos/video/title]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "4126");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo24315Done() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "fade");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo24315TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "4125");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo24315TapRight() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "4127");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFavoritesList24317Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "4147");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_refresh");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFavoritesList24317TapDisclosure() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "4125");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar24318TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "pushLeft");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockCarousel24319Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "4115");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "4104");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4130");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4129");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "4130");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockDialog24321Tap0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "url_open");
      map.put("condition", "");
      map.put("url", "http://legalterms.cbsinteractive.com/terms-of-use");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockDialog24321Tap1() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_refresh");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockDialog24322Tap0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "url_open");
      map.put("condition", "");
      map.put("url", "http://cbsiprivacy.custhelp.com/app/answers/detail/a_id/1268");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockDialog24322Tap1() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_refresh");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList24323Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "[[ds:/CNET Menus/menuitem/href]]");
      map.put("feed", "/813/video");
      map.put("field", "/813/video/url");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_goto_first");
      map.put("condition", "");
      map.put("feed", "/813/video");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "4104");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockActionSheet24328Tap0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "facebook_post");
      map.put("condition", "");
      map.put("description", "[[ds:/CNET Videos/video/description]]");
      map.put("imageUrl", "[[ds:/CNET Videos/video/imageurl]]");
      map.put("linkText", "[[dict:sharedtitle]]");
      map.put("linkUrl", "[[dict:sharedlink]]");
      map.put("prompt", "Share with your friends!");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockActionSheet24328Tap1() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "fade");
      map.put("view", "4119");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "");
      map.put("seconds", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockActionSheet24329Tap0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "facebook_post");
      map.put("condition", "ne");
      map.put("description", "[[dict:shareddescription]]");
      map.put("imageUrl", "[[dict:sharedimageurl]]");
      map.put("linkText", "[[dict:sharedtitle]]");
      map.put("linkUrl", "[[dict:sharedlink]]");
      map.put("prompt", "Share with your friends!");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "ne");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockActionSheet24329Tap1() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "email");
      map.put("block", "");
      map.put("body", "Check out this video from CNET TV!\n<br /> <br /> \n\n[[dict:sharedtitle]]\n<br /> <br /> \n[[dict:sharedlink]]\n<br /> <br /> \nSent from CNET TV on Android\n<br /> <br /> \nDownload the CNET TV app for Android <a href = \"http://www.cnet.com/mobile/splash/2706-31321_1-452.html?tag=ftr\">here</a>.");
      map.put("condition", "");
      map.put("filename", "");
      map.put("html", "1");
      map.put("subject", "CNET TV: [[dict:sharedtitle]]");
      map.put("to", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockCarousel24330Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4099");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "24204");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "24272");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage24331Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "setIndex");
      map.put("value", "10");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_recordset_next");
      map.put("condition", "");
      map.put("feed", "/813/video");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "24336");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockButtonRow24332Tap0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4099");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTextList24333Tap0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "url_open");
      map.put("condition", "");
      map.put("url", "http://legalterms.cbsinteractive.com/terms-of-use");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTextList24333Tap1() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "url_open");
      map.put("condition", "");
      map.put("url", "http://cbsiprivacy.custhelp.com/app/answers/detail/a_id/1268");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockCarousel24335Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "ne");
      map.put("view", "4099");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "24204");
      map.put("condition", "ne");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "24272");
      map.put("condition", "ne");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList24336Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedtitle");
      map.put("value", "[[ds:/CNET Videos/video/title]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedlink");
      map.put("value", "[[ds:/CNET Videos/video/weblink]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedimageurl");
      map.put("value", "[[ds:/CNET Videos/video/thumbnail]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "shareddescription");
      map.put("value", "[[ds:/CNET Videos/video/description]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "fade");
      map.put("view", "4104");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_cancel");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "");
      map.put("seconds", "[[dict:timerautostop]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList24336TapDisclosure() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "shareddescription");
      map.put("value", "[[ds:/CNET Videos/video/description]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedtitle");
      map.put("value", "[[ds:/CNET Videos/video/title]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedimageurl");
      map.put("value", "[[ds:/CNET Videos/video/weblink]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedimageurl");
      map.put("value", "[[ds:/CNET Videos/video/thumbnail]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "4114");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList24337Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "[[ds:/CNET Menus/menuitem/href]]");
      map.put("feed", "/1273/video");
      map.put("field", "/1273/video/url");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4099");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "4099");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockHtml24340Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockCarousel24342Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "ne");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_refresh");
      map.put("condition", "ne");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockCarousel24345Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4099");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "24204");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "24272");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockActionSheet24346Tap0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "fade");
      map.put("view", "4132");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "");
      map.put("seconds", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockActionSheet24346Tap1() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "fade");
      map.put("view", "4119");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "");
      map.put("seconds", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTextList24350Tap0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "pushRight");
      map.put("view", "4108");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTextList24350Tap1() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedtitle");
      map.put("value", "Check out the CNET TV Application for iPhone, iPod Touch and the iPad");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedlink");
      map.put("value", "http://www.cnet.com/mobile/splash/2706-31321_1-452.html?tag=ftr");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedimageurl");
      map.put("value", "icon.png");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "shareddescription");
      map.put("value", "Check out the CNET TV Applicatoin for iPhone, iPod Touch, and the iPad : <ahref = \"http://www.cnet.com/mobile/splash/2706-31321_1-452.html?tag=ftr\"Download it here!\"</a>");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "4109");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTextList24350Tap2() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "pushRight");
      map.put("view", "4107");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTextList24350Tap3() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "pushRight");
      map.put("view", "4110");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockCarousel24351Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "shareddescription");
      map.put("value", "[[ds:/CNET VideosB/video/description]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedimageurl");
      map.put("value", "[[ds:/CNET VideosB/video/thumbnail]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedlink");
      map.put("value", "[[ds:/CNET VideosB/video/weblink]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedtitle");
      map.put("value", "[[ds:/CNET VideosB/video/title]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "fade");
      map.put("view", "4138");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4099");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "24378");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "24379");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_cancel");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "");
      map.put("seconds", "[[dict:timerautostop]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar24354TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4099");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar24355TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4129");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar24356TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4117");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar24357TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4127");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockActionSheet24359Tap0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "facebook_post");
      map.put("condition", "ne");
      map.put("description", "[[dict:shareddescription]]");
      map.put("imageUrl", "[[dict:sharedimageurl]]");
      map.put("linkText", "[[dict:sharedtitle]]");
      map.put("linkUrl", "[[dict:sharedlink]]");
      map.put("prompt", "Share with your friends!");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "ne");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockActionSheet24359Tap1() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "email");
      map.put("block", "");
      map.put("body", "Check out the CNET TV Application for Android!\n<br /> <br /> \nhttp://www.cnet.com/mobile/splash/2706-31321_1-452.html?tag=ftr\n<br /> <br />");
      map.put("condition", "");
      map.put("filename", "");
      map.put("html", "1");
      map.put("subject", "Check out the CNET TV Application for Android!");
      map.put("to", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockButtonRow24360Tap0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedimageurl");
      map.put("value", "icon.png");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "shareddescription");
      map.put("value", "Check out the CNET TV Application for the Android!");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedtitle");
      map.put("value", "CNET TV's Android App!");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "sharedlink");
      map.put("value", "http://www.cnet.com/mobile/splash/2706-31321_1-452.html?tag=ftr");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "action_sheet");
      map.put("block", "24359");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo24363PlaybackCancel() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo24363PlaybackFailure() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo24363PlaybackSuccess() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "db_goto_next");
      map.put("condition", "");
      map.put("feed", "/1273/video");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_refresh");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo24363TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "ne");
      map.put("view", "4137");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockFullScreenVideo24363TapRight() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "4144");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList24368Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "[[ds:/CNET Menus/menuitem/href]]");
      map.put("feed", "/813/video");
      map.put("field", "/813/video/url");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4135");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "4135");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockCarousel24369Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4099");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "24204");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "24272");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockButtonRow24370Tap0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4099");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockButtonRow24377Tap0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar24387TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "fade");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTextList24388Tap0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "pushRight");
      map.put("view", "4140");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTextList24388Tap1() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "push");
      map.put("transition", "pushRight");
      map.put("view", "4141");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList24393Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "NextVideoShowCat");
      map.put("value", "[[ds:/CNET Menus/menuitem/href]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "[[ds:/CNET Menus/menuitem/href]]");
      map.put("feed", "/1273/video");
      map.put("field", "/1273/video/url");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4099");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "4135");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar24394TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4143");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockCarousel24397Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_refresh");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_cancel");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "");
      map.put("seconds", "[[dict:timerautostop]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockCarousel24400Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "24204");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "24272");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_refresh");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_cancel");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "");
      map.put("seconds", "[[dict:timerautostop]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList24401Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "[[ds:/CNET Menus/menuitem/href]]");
      map.put("feed", "/813/video");
      map.put("field", "/813/video/url");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4144");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "4135");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList24402Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "[[ds:/CNET Menus/menuitem/href]]");
      map.put("feed", "/1273/video");
      map.put("field", "/1273/video/url");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4143");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_add");
      map.put("condition", "");
      map.put("view", "4099");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar24410TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4135");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockTitleBar24411TapLeft() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "layer_remove");
      map.put("condition", "");
      map.put("view", "4144");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockActionSheet24412Tap0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "facebook_post");
      map.put("condition", "");
      map.put("description", "[[dict:shareddescription]]");
      map.put("imageUrl", "[[dict:sharedimageurl]]");
      map.put("linkText", "[[dict:sharedtitle]]");
      map.put("linkUrl", "[[dict:sharedlink]]");
      map.put("prompt", "Share with your friends!");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockActionSheet24412Tap1() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "fade");
      map.put("view", "4119");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_timer_start");
      map.put("condition", "");
      map.put("seconds", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockImage24415Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "dict_add");
      map.put("condition", "");
      map.put("key", "setIndex");
      map.put("value", "10");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "eq");
      map.put("prompt", "We're sorry, but the application was unable to connect with the server. Please check your connection and try again.");
      map.put("when_value_1", "[[sys:networkStatus]]");
      map.put("when_value_2", "none");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "db_recordset_next");
      map.put("condition", "");
      map.put("feed", "/1086/video");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "block_refresh");
      map.put("block", "24229");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockList24558Tap() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "action_sheet");
      map.put("block", "24561");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockDialog24561Tap0() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "url_open");
      map.put("condition", "");
      map.put("url", "[[ds:/CNET Other Android Apps/item/link]]");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> blockDialog24561Tap1() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_refresh");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> view4100TimerExpiration() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "[[ds:/CNET Menus/todayoncnet/href]]");
      map.put("feed", "/813/video");
      map.put("field", "/813/video/url");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "fade");
      map.put("view", "4094");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> view4104TimerExpiration() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "");
      map.put("prompt", "Still want more great CNET TV? Tap a video to resume!");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "fade");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> view4113TimerExpiration() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "fade");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> view4115EmailWindowClosed() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "fade");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> view4115FacebookStatusUpdateFailure() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "fade");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> view4115FacebookStatusUpdateSuccess() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "fade");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> view4119EmailWindowClosed() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "none");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> view4119TimerExpiration() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "email");
      map.put("block", "");
      map.put("body", "Check out this video from CNET TV!\n<br /> <br /> \n\n[[dict:sharedtitle]]\n<br /> <br /> \n[[dict:sharedlink]]\n<br /> <br />  \nSent from CNET TV on Android\n<br /> <br /> \nDownload the CNET TV app for Android <a href = \"http://www.cnet.com/mobile/splash/2706-31321_1-452.html?tag=ftr\">here</a>.");
      map.put("condition", "");
      map.put("filename", "");
      map.put("html", "1");
      map.put("subject", "CNET TV: [[dict:sharedtitle]]");
      map.put("to", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> view4121EmailWindowClosed() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "fade");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> view4121FacebookStatusUpdateFailure() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "fade");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> view4121FacebookStatusUpdateSuccess() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "fade");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> view4122FacebookStatusUpdateSuccess() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "4104");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> view4122TimerExpiration() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "fade");
      map.put("view", "4106");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> view4123FacebookStatusUpdateSuccess() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "4104");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> view4128TimerExpiration() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "fade");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> view4132FacebookStatusUpdateFailure() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "fade");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> view4132FacebookStatusUpdateSuccess() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "fade");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> view4132TimerExpiration() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "facebook_post");
      map.put("condition", "");
      map.put("description", "[[dict:shareddescription]]");
      map.put("imageUrl", "[[dict:sharedimageurl]]");
      map.put("linkText", "[[dict:sharedtitle]]");
      map.put("linkUrl", "[[dict:sharedlink]]");
      map.put("prompt", "Share with your friends!");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> view4138TimerExpiration() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "alert");
      map.put("condition", "");
      map.put("prompt", "Still want more great CNET TV? Tap a video to resume!");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "fade");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> view4153TimerExpiration() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "db_filter");
      map.put("condition", "");
      map.put("criteria", "[[ds:/CNET Menus/todayoncnet/href]]");
      map.put("feed", "/813/video");
      map.put("field", "/813/video/url");
      map.put("replacement", "1");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("history", "");
      map.put("transition", "none");
      map.put("view", "4094");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }

  public final static ArrayList<Script> view4155TimerExpiration() throws Exception {
    ArrayList<Script> scripts = new ArrayList<Script>();
    HashMap<String,String> map;
    map = new HashMap<String,String>();
      map.put("action", "view_change");
      map.put("condition", "");
      map.put("duration", "");
      map.put("transition", "fade");
      map.put("view", "back");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    map = new HashMap<String,String>();
      map.put("action", "layer_remove_all");
      map.put("condition", "");
      map.put("when_value_1", "");
      map.put("when_value_2", "");
      addIfNotNull(scripts, Script.getScriptWithDict(map));

    return scripts;
  }
}
